# Archetypes imports
from Products.Archetypes.atapi import *

# Product imports
from Products.specialselection.config import PROJECTNAME

colors = ['red', 'green', 'blue',
          'cyan', 'magenta', 'yellow', 'black',
          'Something Completely Different']

# Schema definition
schema = BaseSchema.copy() + Schema((
    StringField('FavColor',
        vocabulary = colors,
        default = colors[2],
        widget = SelectionWidget(
            format = 'radio',
            macro = 'special',
            ),
        ),
    StringField('OtherColor',
        widget = StringWidget(
            macro = 'magic',
            ),
        ),
    ))

class specialselection(BaseContent):
    "Demonstrating special widgets, macros et al."

    schema = schema
    _at_rename_after_creation = True

registerType(specialselection, PROJECTNAME)
